%define		perlname 	Test-Simple
Name:		perl-%{perlname}
Version:	0.47
Release:	1
Summary:	Basic utilities for writing tests.

Group:		Applications/CPAN
License:	GPL
URL:		http://search.cpan.org/dist/%{perlname}/
Packager:	Thomas Vander Stichele <thomas@apestaart.org>
Source:		http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/%{perlname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-root

# spec file trickery, please don't look
%{expand:%%define buildforrh7 %(A=$(awk '{print $5}' /etc/redhat-release); if [ "$A" = 7.2 -o "$A" = 7.3 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildforrh8 %(A=$(awk '{print $5}' /etc/redhat-release); if [ "$A" = 8.0 -o "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

Requires:	perl
BuildRequires:	perl

%if %buildforrh8
%error Test-Simple is included in perl
%endif

%description
This  is an extremely simple, extremely basic module for writing tests
suitable  for  CPAN modules and other pursuits. If you wish to do more
complicated  testing, use the Test::More module (a drop-in replacement
for this one).

The  basic  unit of Perl testing is the ok. For each thing you want to
test  your program will print out an "ok" or "not ok" to indicate pass
or fail. You do this with the ok() function (see below).

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{perlname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Sat Dec 28 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- first draft
