### dirs in the top level of root, to be removed by make clean
BASEDIRS=bin dev home lib opt root tmp var boot etc initrd mnt proc sbin usr

### all possible statefiles that can be generated and should be deleted
### when doing make clean
STATEFILES=prep base apt ready rpm-build dist.mk

### state targets
lock:
	@if test -f $(MACHROOT)/state/locked; \
	then echo "already locked !"; exit 255; \
	else touch $(MACHROOT)/state/locked; \
	fi

unlock:
	@rm -f $(MACHROOT)/state/locked

# if a file called "mount" exists, then this file contains mounted dirs
# that should be unmounted before deleting, for example
# we stop giving an error when unmount fails since the user could have
# rebooted
umount:
	@if test -f $(MACHROOT)/state/mount; \
        then cat $(MACHROOT)/state/mount | xargs $(UMOUNT); rm $(MACHROOT)/state/mount; fi

state-clean:
	cd $(MACHROOT)/state && rm -f $(STATEFILES)

clean: lock umount
	@echo "Cleaning up chroot in $(ROOT) ..."
	@if test ! -f $(MACHROOT)/base; \
	then \
	  if test ! -f $(ROOT)/bin/rm; then \
            echo "no base installed in chroot, can't do rm !";  \
	    exit 1; \
          fi; \
        fi
	$(CHROOT) $(ROOT) rm -rf $(BASEDIRS)
	make state-clean
	make unlock
	echo "DISTRO=clean" > $(MACHROOT)/state/dist.mk
